boot - /bin/sh: can't access tty; job control turned off

Bug #96084 reported by kmicic on 2007-03-25
54
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
Medium
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned

Bug Description

Version: Xubuntu 7.04b, Ubuntu 7.04
System: Dell Inspiron 7500
Celeron 500Mhz (PIII), 500Mb RAM

This happens at boot time, I get left with initramfs shell prompt. The same notebook boots 6.10 without problems.

Hi,

Does the kernel display any error messages before entering the shell prompt?

If possible, can you take a digital picture of the console when it has entered the initramfs shell prompt, or failing this copy the error messages down... Once you've done this please attach the output to this bug. Thanks.

Changed in linux-source-2.6.20:
status: Unconfirmed → Needs Info
importance: Undecided → Medium
kmicic (pjs-romaneseuntdomus) wrote :

Thanks for your prompt reply. I do not get any flashing messages, just the Ubuntu progress bar. Here's what I see when boot drops to the prompt:
BusyBox v1.1.3 (Debian 1:1.1.3-3ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs)

Seeing the prompt response from you folks, I started poking around. In casper.log I have:
/init: /init: 1: cannot open /dev/fd0: no such device or address
(this is repeated a dozen or so times, then at the end:)
Unable to find a medium containing a live file system.

This box has a CD rom, floppy, and an IDE hard drive.

Changed in linux-source-2.6.20:
assignee: nobody → phillip-lougher
Mark Carey (careym) wrote :

Hi,

Using Fiesty Beta live CD on my brand new Core 2 Duo System, Intel GA-965P-DS3P, 2GB ram, nVidia 7300 GT PCIE Graphics Hauppage PVR150 PCI IDE CD-ROM and a SATA2 HDD. I get the same (?) or a similar problem with system starting to boot and goes to;

udevd-event[2065] : run_program '/sbin/modprobe' abnormal exit

BusyBox v1.1.3 (Debian 1:1.1.3-3ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs)

Machine has passed memtest, CD is ok I have checked. When I get dropped into busy box, if I cat casper.log I am told

Unable to find a medium containing a live file system

I get a similar message (different version of busybox and no udev error) if I try with a 6.06LTS live cd (I havent checked casper.log yet) any ideas? Will put up photos as attachemnts in a minute.

P.S I also got udev complaining about fd0 (as others in forums etc appear to be seing) however I turned the floppy drive off in BIOS and that went away.

Mark Carey (careym) wrote :

Fiesty 7.04 Beta error

Mark Carey (careym) wrote :

Dapper 6.06 LTS error

Mark Carey (careym) wrote :

Retried 6.06LTS and there is nothing in casper.log. When trying 6.06 the splash gets to mounting root filesystem, which doesnt suceed.

going `ls /cdrom` from the busybox shell shows that /cdrom is empty, I presume this is where the live file system is supposed to be?

Back to Ubuntu 7.04 beta, tried putting SATA controller into AHCI in BIOS, no change. I also see that my CDROM is configured as slave, so I will try making it a master next.

Mark Carey (careym) wrote :

CDROM is now master - no change still get dropped to busybox.

Also when I noted in https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/96084/comments/3 that the CD checked out ok I should clarify what I meant.

The CD checks out on another machine, it does not check out on this machine, if I try to check the CD for defects the ubuntu splash starts with the `bouncy slider` progress bar and then I get;

udevd-event[2061] : run_program '/sbin/modprobe' abnormal exit

BusyBox v1.1.3 (Debian 1:1.1.3-3ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs)

Mark Carey (careym) wrote :

splash progress on ubuntu 6.06

Mark Carey (careym) wrote :

so I have now booted without the quiet and splash kernel options and have noticed an opps during startup, console scroll back photo sequence to follow.

Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :
Mark Carey (careym) wrote :

last one :)

Mark Carey (careym) wrote :

removed Hauppage PCI card, SATA HDD and USB Flash drive and still get the same problem

Mark Carey (careym) wrote :

pulled an IDE HDD, with a working install of Fiesty + kernel updates etc from another machine and it boots just fine, dmesg attached.

Mark Carey (careym) wrote :

attached lspci

> Mainboard: GA-965P-DS3P
This should be fixed in a daily build.

Mark Carey (careym) wrote :

Thomas: Thanks for the pointer, download a full iso again, ouch, I live in NZ and have a data cap of 1 Gb/month, so have pretty much screwed my data cap for the month getting the Beta iso

Will try to see if I can use debian-installer or ubuntu-installer from my working HDD (IDE) to get the non-working (SATA) one installed

Mark Carey (careym) wrote :

So its been a night of learning!! you dont have to get the full iso there are MinimalCDs https://help.ubuntu.com/community/Installation/MinimalCD once you have the initial install underway you can drop to a shell (Ctrl+Alt+F#) and use a CD (the tray will open) or a USB flash drive to frantically copy all debs you have previously downloaded from another machine via USB or writeable CD to /target/var/cache/apt/archives (drastically reducing the amount of downloading the MinimalCD installer will have to do).

Then you can try mounting the squashfs image in the LiveCD to extract the debs on there, only there arent any wthin the compressed filesystem (all availiable debs are on the CD outside the squashfis image)! The way the LiveCD installer works is it copies the contents of casper/filesystem.squashfs over the drives mounted on /target and then attempts to update the nevessary packages, so the LiveCD hasnt got many debs on it.

The only gotcha with the live CD is the MinimalCD doesnt haev squashfs support (/poc/filesystems does not list squashfs) so by the time I had worked out which package I needed to get linux-image-2.6.20-14-generic which contains squashfs.ko to enable me to mount filesystem.squashfs image myself the MinimalCD installer had started downlading linux-image-2.6.20-14-generic. No point in downloading it twice and slowing down the transfer rate - off to be.

2 reccommendations;

1. It might be a good idea for the MinimalCD to come with squashfs support for crazies like me in the future :)

2. It might be good to able to download off the web individual precompiled kernel modules of the correct version, i.e squashfs.ko from `lib/modules/2.6.20-14-generic/kernel/ubuntu/fs/squashfs/squashfs.ko` rather than having to download all 28.4 MB of linux-image-2.6.20-14-generic_2.6.20-14.22_i386.deb which would have allowed me to mimic the LiveCD installer and speed up the install process.

Oh yeah by the way the current MinimalCD boots just fine on a GA-965P-DS3P!

Mark Carey (careym) wrote :

Reads previous post and hangs head in shame at spelling and grammar! (I am supposed to be off to bed)

For the interested I did try installing ubiquity (ubuntu-installer), etc on my working IDE system, ignoring the notes in synaptic about it not doing a lot that was terribly useful, but even when I managed to disable the migration assistant, /dev/sda1 was already mounted and ubiquity gives no GUI way of bypassing the migration-assistant stage - bug?, which I sorted by passing a command line switch to ubuquity. With no LiveCD in the system there was no filesystem.squashfs for ubiquity to dump over /target so it died pretty early in the process.

Then I explored Netbooting and MinimalCD's I got halfway through installing tftp on another box until I realised that the MinimalCD was so small.

It is really time for sleep now!

Master Ar2ro (ar2ro) wrote :

I believe I have a similar problem, but I fail to notice the modprobe abnormal exit, or it doesn't happen in my case. There are other things as well:
1. The 7.04 LiveCD boots only from my CD drive (IDE Slave) but not on my DVD drive (IDE Master) (April 4th image). This happens always. Whenever I boot from my CD drive it tries the floppy a number of times and then boots ok, but when I try to boot from the DVD drive it tries the floppy a whole lot more and then fails with the well known error message.
2. If I wait a bit I get the following error messages:
[ 60.101981] ata2.01: failed to set xfermode (err_mask=0x4)
[ 95.974137] ata2.01: failed to set xfermode (err_mask=0x4)
[ 131.706301] ata2.01: failed to set xfermode (err_mask=0x4)
[ 136.705051] ata2.00: failed to set xfermode (err_mask=0x40)
3. Looking through the init and casper scripts I understand they are looking for a loop device in /sys/block, but the only items I have there are:
ram0 - ram15 fd0 sda sr0
sda - my hard drive, sr0 - my dvd drive, my cd drive is not there (though not needed when the LiveCD is in the DVD drive)
4. comparing the output of udevinfo from my HDD and DVD drives, the DVD seems to be missing information: The E: ID_SERIAL is empty and E: ID_SERIAL_SHORT contains unreadable characters, while they are both ok for my HDD

lspci attached

Mark Carey (careym) wrote :

master ar2ro: have you tried disabling your floppy drive in bios to reduce the console spew? so you can see what is actucally happening.

Have you tried booting without the quiet and splash kernel command line options and then scrolling back through the obot messages to see where it dies?

To do this throw the LiveCD in the drive boot from the LiveCD and when you get to the LiveCD boot menu press F6 and edit the boot command line removing the "quiet" and "splash" options.

Mark Carey (careym) wrote :

kmicic: how are you getting on with your bug? it looks like I hijacked you bug with a possibly unrelated issue - apologies if I did.

Don't worry about it, Mark. Your active participation is just what the
community needs to make linux better. Mine's an old laptop - I just
thought I'd do my part and report that the v. 7 live CD doesn't boot.
Good luck with yours.

Paul

Mark wrote:
> kmicic: how are you getting on with your bug? it looks like I hijacked
> you bug with a possibly unrelated issue - apologies if I did.
>
>

Master Ar2ro (ar2ro) wrote :

Mark: No, I didn't disable the floppy, I'll try it a bit later today. I did boot without the quiet and splash options, but it scrolls damn fast during the boot so I can't really keep up with all those messages, and I don't know how to scroll back up once I'm in the initramfs prompt. I did even boot with the debug kernel option but the debug log didn't help me too much. Is there a way to get all those boot messages to a file available from the initramfs?

Mark Carey (careym) wrote :

Ar2ro: Shift+PgUp should scroll up Shift+PgDown should scroll down (once you have scrolled up) although the size of the scroll back buffer is limited.

I am not sure if `dmesg` will work from the busybox prompt, it is normally the way you see the contents when in a terminal or shell.

If dmesg doesnt work and you need a way to get back beyond the limit of the buffer, the size of the boot buffer appears to be adjustable when compiling the kernel - which wont help you a lot, so the alternative is to try a video camera - funny I know but I´ll admit to using it for this very bug!

This bug also appears to be related to our bug https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/84964

Master Ar2ro (ar2ro) wrote :

dmesg doesn't work under busybox, I already tried that. I made a few photos with my mobile phone though they're low quality. Right now I'm downloading the today's daily image, and I'll get to testing right after I get it. I attached the few LQ photos I made, though they won't be much help probably.

Master Ar2ro (ar2ro) wrote :

Ok, I tried the most up-to-date image and here's what I got:

1. The situation is exactly the same trying out of the box. It runs on my CD drive, but fails and ends in initramfs prompt when booted from my DVD drive.
2. I tried looking through the messages as far as I could go, and there was *no* modprobe abnormal exit, so as far as I can tell, that's not the case for me. Something else is failing.
3. I tried the solution suggested in the bug 84964 you pointed, and indeed, adding `irqpoll ` to kernel options solves the problem of booting from my DVD drive.

I copied over the logs and lspci outputs from both boots (from CD and DVD drives) so if you need any of those just ask.

Also, since I booted from the DVD without the splash and quiet options I also found two more things:

1. There is a failed action during system shutdown, i.e.
`* Unmounting temporary filesystems...
umount: /cow not found [fail]`
2. When the CD is ejected at the last stage of the shutdown, pressing ENTER doesn't work, it just appends ^M and does nothing more... is input ignored without usplash running?

Well that's about it, if you need any more info or testing just let me know.

Mark Carey (careym) wrote :

ar2ro: can you please upload a dmesg from the working setup, bug 84964 is related to jmicron pata/sata controllers (I have one on my Gigabyte GA-965P-DS3P motherboard) however your lspci doesnt appear to indicate any jmicron hardware - I have checked the attachment to comment 25 but I could be blind :)

Master Ar2ro (ar2ro) wrote :

Here's the dmesg from the boot from my DVD drive (with kernel option irqpoll). As far as I know I don't have a jmicron controller ;) Not to mention any SATA support at all. It's a pretty old machine.

Master Ar2ro (ar2ro) wrote :

Now that I think about it, by the working setup you might mean my working edgy installation, so here's the dmesg from this one as well ;)

Dave Ritchie (deritchie-co) wrote :

I see the identical problem on a Dell PowerEdge 4400 server running 7.04 beta. This also works fine with 6.04.

1 comments hidden view all 124 comments
Guido Scalise (guido-scalise) wrote :

I have almost the exact same HW configuration as Mark (Core 2 Duo E6400, Gigabyte GA-965P-DS3 (Intel 965P Chipset), 2Gb RAM, nVidia 7300 GT, JMicron controller enabled with 250 Gb SATA drive on AHCI mode, IDE DVD-ROM and DVD-RW attached to the motherboard's only IDE port.

I've tried to start the Kubuntu 7.04 beta live system / installation dvd from both DVD Drives and the booting process stops in the same way as Mark stated.

hap0 (boothefamily) wrote :

"I've tried to start the Kubuntu 7.04 beta live system / installation dvd from both DVD Drives and the booting process stops in the same way as Mark stated." (Guido).

That goes for me too -- with an Nvidia 6800 video card.

Mark Carey (careym) wrote :

Guido Scalise: you need to get a newer kernel seing as you are using the LiveCD you need to get a new LiveCD :( or you could try disabling the JMicron controller from BIOS and sticking with the intel SATA ports see bug 84964 (havent tried myself) although you would need a SATA CD/DVD drive to boot the LiveCD from. Which I didnt have and you dont appear to have.

hap0: see comments to Guido

Dave Ritchie: dmesg from working 6.04? lpsci?

Master Ar2ro: I havent forgotten you, tomorrow is Friday after that its the weekend and I should have some time to look at your hardware specs (dmesg etc)

Jae Stutzman (jaebird) on 2007-04-20
description: updated
44 comments hidden view all 124 comments
hoagies (jaguariuna) wrote :

Hi:

I am getting sick of this bug without (k)ubuntu 7.04, (or kernel 2.6.20-x), doing anything about this bug., like issuing a new version of the distro, fixing it.

Besides this thread, there are others running in parallel with this thread, all covering the same topic.

Here are some of my postings::

http://ubuntuforums.org/showthread.php?t=421849&highlight=96084

http://www.linuxmint.com/forum/viewtopic.php?t=2546

"Linux Mint" is a very nice distro, 98% ubuntu based.

taj (othertaj) wrote :

I have the same problem, but with subsequent ctrl-alt-delete the computer boots well.
I have no sata devices, I have checked all logs and can't find something noteworthy.
If it is a kernel issue I think version 2.6.20 urgently needs an fix, because I have a double swap space problem as well: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/96715

I have a problem with mandriva, never solved, but with ubuntu work with a
Floopy disk, same problem ubuntu and Kubuntu,

--
Dany Aguilar

After 2 weeks of smooth operation I am sure I no longer have any issue with my hard disks (it was a loose connector causing me some problems before) but I still get this error every once in a while [1]. So I can positively confirm what I earlier said:

> In my case I get this boot error SOME TIMES after successful
> installation (3 times in about 10 boots)
> I all 3 cases I rebooted with ctrl-alt-del and the next boot was successful

(Again note that the error appears when I boot from my hard disk after a succesful installation NOT when I boot from the liveCD)
___________
[1] I rarely reboot my PC so I can't make good statistics.

Darren (teskiwk) wrote :

/bin/sh: can't access tty; job control turned off

I m new in ubuntu ....but meet this problem when installing it...but finally i solve the problem...i think for those who hav floppy disk in computer will seldom/never meet this problem..cause my computer don't hav floppy disk...and my solution is:-
1. Get a pendrive atleast 1gb and copy all the ubuntu cd's content to the pendrive.
2. Then boot ubuntu cd with the pendrive plug in
3. Then install ubuntu.

P/s :I think this problem relate to the dev0 and dev1(don't know correct or not about the letter dev0) it seems like the ubunto boot will put the cd-rom as dev0 if dun hav floppy disk in that computer, if there is floppy there it will be dev0 for floppy and dev1 for cd-rom and i think the booting will only read the data from dev1 hence if there is no floppy disk there the cd-rom will be dev0 then the system can't read data from a null dev1...but if we add a pendrive or cd-rom into computer then the path dev1 will be the pendrive or extra cd-rom(if we add cd-rom to it then better we direct boot from that extra cd-rom.

Doug Vetter (dwvcfii) wrote :

I have 7.04 installed on two systems, one is a desktop using an Abit IC7-G with two WD250's hanging off the Intel SATA controller in software RAID1. The other is a server using an Asus P5W64WS with a PCIe-based 3Ware 9650SE 8 port card with two drives in RAID1 and the remainder in RAID6 (read: no drives are connected to the motherboard SATA / IDE controllers). In other words, two totally different systems that use completely different hardware and methods to access the root filesystem. The desktop is a relatively old machine (built 2 years ago), while the server is new. Both systems experience the bug....though I admit I don't see it as frequently on the server since I seldom boot it.

I'm attaching a screenshot of the end of the boot process from the desktop machine running 2.6.20-15-generic. I can't use the recently upgraded kernel (2.6.20-16-generic) because it hangs the box just after it jumps from the bootloader. No error...just a black screen. Not much to go on, I know, but I figured I'd throw my hardware configurations in here along with some proof of the failure.

Reeshar (richardl) wrote :

I've been having the same problem doing an initial install (over Win2k) of Ubuntu 7.04 desktop edition from LiveCD. However, I do appear to have found a solution to the problem - for myself anyway.

The PC is an old Dell GX110 machine which comes with a slimline CD-ROM drive but I happen to have a free normal-size DVD-RW drive so I unplugged the CD-ROM drive and connected the DVD-RW drive instead. The LiveCD booted fine this time.

Don't know if that might be useful information for anyone. Could it be an issue with the ATA instruction set being used by the latest kernel?

Richard

Reeshar (richardl) wrote :

OK. Just found this in a random FAQ searching for Busybox and the above error:

> Why do I keep getting "sh: can't access tty; job control turned off" errors? Why doesn't Control-C work
> within my shell?
>
> Job control will be turned off since your shell can not obtain a controlling terminal. This typically happens
> when you run your shell on /dev/console. The kernel will not provide a controlling terminal on the
> /dev/console device. Your should run your shell on a normal tty such as tty1 or ttyS0 and everything will
> work perfectly. If you REALLY want your shell to run on /dev/console, then you can hack your kernel (if
> you are into that sortof thing) by changing drivers/char/tty_io.c to change the lines where it sets
> "noctty = 1;" to instead set it to "0". I recommend you instead run your shell on a real console...

What this suggests to me is that the Busybox error is irrelevant. The bug/problem/whatever is arising before Busybox is invoked and that "bug" then results in Busybox being started. Busybox cannot give a controlling terminal on the /dev/console device so hence the error.

The problem with a clean install, though, is that you can't see the error which causes the Busybox shell to be invoked. You just get the Ubuntu logo and the progress bar.

Wingnut (michael-crist) wrote :

I'm having the same problem with an MSI-6534 (845M) motherboard. It looks like the ata_piix driver is getting loaded before the ide driver and hooking the CDROM before the IDE driver can get to it. Something similar is described here:

http://www.thinkwiki.org/wiki/Problems_with_SATA_and_Linux#DVD_drive_not_recognized

with potential fixes...I haven't had a chance yet to rebuild the CD to see if this solves the problem.

Wingnut

Hans Oser (hanspeter-oser) wrote :

I found a solution to the problem: I had an old CDROM (Samsung SM-316) I replaced it withe a new
NEC AD 7170 and the installation of kubuntu 7.04 works!

Zippert (daniel-zippert) wrote :

Go to bios and turn ACPI option to disable, that works for me..

I Have an ASUS A7N8X-E

         //Daniel Zippert

zhongdai (bigapple2008) wrote :

I have meet the same problme, following is detail
I use my IBM T43 with ubuntu 7.04 for servral month, and after the reboot this night, i can't login the system.
display 'can't access tty...etc'.

I want to konw the status of this bug, is it closed? and how about the solution?
I have many important data in my computer, so I just want to konw how can I login into my ubunut from BusyBox prompt?

Please send me email if any one konw how to recover my data, my email address is <email address hidden>,,many thanks.

PS: If i want to re-install ubuntu, how to ensure the data not lost?

Hey folks. this bug is a symptom of a problem that is way higher up the
Debian food chain. the fix for this needs to come from the Debian
distro folks.

If 7.04 does not work for you stick with 6.10, it's stable and it
works. I have no idea whether or not this issue will be fixed by 7.10.

Glen Merrick

zhongdai wrote:
> I have meet the same problme, following is detail
> I use my IBM T43 with ubuntu 7.04 for servral month, and after the reboot this night, i can't login the system.
> display 'can't access tty...etc'.
>
> I want to konw the status of this bug, is it closed? and how about the solution?
> I have many important data in my computer, so I just want to konw how can I login into my ubunut from BusyBox prompt?
>
> Please send me email if any one konw how to recover my data, my email
> address is <email address hidden>,,many thanks.
>
> PS: If i want to re-install ubuntu, how to ensure the data not lost?
>
>

gmerrick (at903) wrote :

Zippert wrote:
> Go to bios and turn ACPI option to disable, that works for me..
>
> I Have an ASUS A7N8X-E
>
> //Daniel Zippert
>
>
That does not work for my TecraS3 laptop.

sangos (sangos123) wrote :

Relevant system Specs:
Processor: Intel P4
Hards Drives: 2 IDE-40 GBs each(slave and master)
OS: windows XP Pro (originally installed)

Tip:
Made sure that Windows was booting up normally and then booted from the Ubuntu Live CD to get Ubuntu desktop from the CD

Issue:
Got the error message after installing Ubuntu and restarting computer...freezes up at the Ubuntu splash/Progress Bar screen

Resolution:
1] Used Linux System rescue disk to invoke GParted: Edited Partitions
      a) Made the Ubuntu partition( ) a PRIMARY partition-did NOT make it BOOTABLE by the "manage flag" in GParted
          i} The partition was earlier "LOGICAL" which DOES not work
         ii} The BOOTABLE partition right now in GParted window is still set at MS Windows XP Pro
2] Used Ubuntu Live CD to install on to the Hard drive
      a) chose the manual option to partition the Hard Drive
          i} Set the Ubuntu Partition (mount point= /;file system= ext3)
      b) chose to install GRUB in the Ubuntu partition
          i} GRUB installs by default to the C:/ partition used by Windows and imposes itself on the MBR so it shows up on restart before the Windows bootloader
3] Used GParted again to make the Ubuntu partition bootable instead of the Windows XP partion
       a) Both the Ubuntu and Windows XP partions reside on the same Hard Drive ( IDE Master)
4] Restarted the computer
      a) Edited GRUB to select the default Operating system
          i} In my case I chose Windows XP as my default Operating System in GRUB

tfria (tjfria) wrote :

i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty" bug; the live cd works beautifully on my "Dell Inspiron; too the same CD home to my PC and cant boot. There must be a fix.

Help!

gmerrick (at903) wrote :

The best "fix" for this is to use Ubuntu 6.10 until an upstream fix is
brought back down to the Ubuntu Development team.

tfria wrote:
> i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
> bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
> home to my PC and cant boot. There must be a fix.
>
> Help!
>
>

thanks for the quick response; i will try 6.10

On 7/12/07, gmerrick <email address hidden> wrote:
>
> The best "fix" for this is to use Ubuntu 6.10 until an upstream fix is
> brought back down to the Ubuntu Development team.
>
> tfria wrote:
> > i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
> > bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
> > home to my PC and cant boot. There must be a fix.
> >
> > Help!
> >
> >
>
> --
> boot - /bin/sh: can't access tty; job control turned off
> https://bugs.launchpad.net/bugs/96084
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Thomas J. Fria, PhD
Wall, NJ

Robert C. Mullins (mullins) wrote :

Yes, it seems this bug is being encountered alot. Google searched forums are coming up with thousands of un-answered problem threads.

I have the same problem. Pretty much a brand new Dell Latitude D830. Not sure of the mobo or some of the other hardware. It is running an Intel Centrino Duo, and it seems that alot of people having boot problems are having this error.

I am having the same error with Ubuntu, and Kubutnu 7.04. I need to try and find an old 6.10 disk, if thats what I need to do to make this work. I love Ubuntu, and wish this would work sometime soon or its back to gates-ware. blech!

sangos (sangos123) wrote :

Hi!

Where exactly do you have the problem...Is it after installing Ubuntu onto
the Latitude Hard drive.?

Regards
Sanjay

On 7/28/07, Robert C. Mullins <email address hidden> wrote:
>
> Yes, it seems this bug is being encountered alot. Google searched
> forums are coming up with thousands of un-answered problem threads.
>
> I have the same problem. Pretty much a brand new Dell Latitude D830.
> Not sure of the mobo or some of the other hardware. It is running an
> Intel Centrino Duo, and it seems that alot of people having boot
> problems are having this error.
>
> I am having the same error with Ubuntu, and Kubutnu 7.04. I need to try
> and find an old 6.10 disk, if thats what I need to do to make this work.
> I love Ubuntu, and wish this would work sometime soon or its back to
> gates-ware. blech!
>
> --
> boot - /bin/sh: can't access tty; job control turned off
> https://bugs.launchpad.net/bugs/96084
> You received this bug notification because you are a direct subscriber
> of the bug.
>

sangos (sangos123) wrote :

Hi!

Where exactly do you have the problem...Is it after installing Ubuntu onto
the Inspiron Hard drive.?
If yes make sure that the Ubuntu partition is "PRIMARY" NOT logical or it
will get stuck while booting with the ERROR in the post
Rule for GRUB....Install it on the Ubuntu partition...if U got a Windows OS
as well installed....make the Windows Bootloader in the Windows partition to
give you the Linux boot option when the computer first boots up...that way U
can get to GRUB boot options and then get Ubuntu to boot up from your
computer's Hard Drive...Good Luck!

Regards
Sangos

On 7/12/07, tfria <email address hidden> wrote:
>
> i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
> bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
> home to my PC and cant boot. There must be a fix.
>
> Help!
>
> --
> boot - /bin/sh: can't access tty; job control turned off
> https://bugs.launchpad.net/bugs/96084
> You received this bug notification because you are a direct subscriber
> of the bug.
>

The error occurs on the Tecra S3 Laptop right after the first reboot,
when Unbuntu 7.04 Live CD has completed the install and tells you to
remove the disk and reboot. The system will come up on its own and then
hangs at that point.

sangos wrote:
> Hi!
>
>
> Where exactly do you have the problem...Is it after installing Ubuntu onto
> the Inspiron Hard drive.?
> If yes make sure that the Ubuntu partition is "PRIMARY" NOT logical or it
> will get stuck while booting with the ERROR in the post
> Rule for GRUB....Install it on the Ubuntu partition...if U got a Windows OS
> as well installed....make the Windows Bootloader in the Windows partition to
> give you the Linux boot option when the computer first boots up...that way U
> can get to GRUB boot options and then get Ubuntu to boot up from your
> computer's Hard Drive...Good Luck!
>
> Regards
> Sangos
>
> On 7/12/07, tfria <email address hidden> wrote:
>
>> i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
>> bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
>> home to my PC and cant boot. There must be a fix.
>>
>> Help!
>>
>> --
>> boot - /bin/sh: can't access tty; job control turned off
>> https://bugs.launchpad.net/bugs/96084
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>>
>
>

Robert C. Mullins (mullins) wrote :

I can't even get the live disk to boot. I put the disk in, go to the bios set it up to boot from cd/dvd rom drive. Ubuntu starts booting, I get to the splash screen/progress bar where the orange bar glides back and forth, then dumps me into that weird prompt.

U might try the DVD version of Ubuntu which has a larger repertory of software burnt in and possibly additional drivers. It is possible that the CD(if that’s what ur using) may not come with the native drivers to run ur hardware. The DVD also gives additional options to get Ubuntu installed on your computer....Good luck!
PS Of course make sure U have A DVD drive to boot the DVD disk.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Robert C. Mullins
Sent: Sunday, July 29, 2007 12:59 AM
To: <email address hidden>
Subject: [Bug 96084] Re: boot - /bin/sh: can't access tty; job control turned off

I can't even get the live disk to boot. I put the disk in, go to the
bios set it up to boot from cd/dvd rom drive. Ubuntu starts booting, I
get to the splash screen/progress bar where the orange bar glides back
and forth, then dumps me into that weird prompt.

--
boot - /bin/sh: can't access tty; job control turned off
https://bugs.launchpad.net/bugs/96084
You received this bug notification because you are a direct subscriber
of the bug.

sangos (sangos123) wrote :

I had the same problem and I fixed it by using the Linux rescue disk and use GParted tool in it to make the Ubuntu Partition Primary (And therefore bootable; Logical partitions ARE NOT bootable if that’s where Ubuntu is sitting!?). Some of the guides misguide on this(don’t remember which!) GRUB also needs to be installed on a Primary Partition( or it will screw up the Ubuntu boot up from the Hard drive).

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of gmerrick
Sent: Sunday, July 29, 2007 12:40 AM
To: <email address hidden>
Subject: Re: [Bug 96084] Re: boot - /bin/sh: can't access tty; job control turned off

The error occurs on the Tecra S3 Laptop right after the first reboot,
when Unbuntu 7.04 Live CD has completed the install and tells you to
remove the disk and reboot. The system will come up on its own and then
hangs at that point.

sangos wrote:
> Hi!
>
>
> Where exactly do you have the problem...Is it after installing Ubuntu onto
> the Inspiron Hard drive.?
> If yes make sure that the Ubuntu partition is "PRIMARY" NOT logical or it
> will get stuck while booting with the ERROR in the post
> Rule for GRUB....Install it on the Ubuntu partition...if U got a Windows OS
> as well installed....make the Windows Bootloader in the Windows partition to
> give you the Linux boot option when the computer first boots up...that way U
> can get to GRUB boot options and then get Ubuntu to boot up from your
> computer's Hard Drive...Good Luck!
>
> Regards
> Sangos
>
> On 7/12/07, tfria <email address hidden> wrote:
>
>> i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
>> bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
>> home to my PC and cant boot. There must be a fix.
>>
>> Help!
>>
>> --
>> boot - /bin/sh: can't access tty; job control turned off
>> https://bugs.launchpad.net/bugs/96084
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>>
>
>

--
boot - /bin/sh: can't access tty; job control turned off
https://bugs.launchpad.net/bugs/96084
You received this bug notification because you are a direct subscriber
of the bug.

Naw....Too much effort to get an OS running.
I am happy with 6.10. It installs effortlessly and it does what I need
it to do. This just underlines the issues that Ubuntu and Debian need
to take to fix the problem. I shouldn't have to "hack" the system in
order for a basic install to function. Besides, when I tried installing
7.04 it was onto a primary partition and the issue kept happening.

Glen Merrick

sangos wrote:
> I had the same problem and I fixed it by using the Linux rescue disk and
> use GParted tool in it to make the Ubuntu Partition Primary (And
> therefore bootable; Logical partitions ARE NOT bootable if that’s where
> Ubuntu is sitting!?). Some of the guides misguide on this(don’t remember
> which!) GRUB also needs to be installed on a Primary Partition( or it
> will screw up the Ubuntu boot up from the Hard drive).
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of gmerrick
> Sent: Sunday, July 29, 2007 12:40 AM
> To: <email address hidden>
> Subject: Re: [Bug 96084] Re: boot - /bin/sh: can't access tty; job control turned off
>
> The error occurs on the Tecra S3 Laptop right after the first reboot,
> when Unbuntu 7.04 Live CD has completed the install and tells you to
> remove the disk and reboot. The system will come up on its own and then
> hangs at that point.
>
> sangos wrote:
>
>> Hi!
>>
>>
>> Where exactly do you have the problem...Is it after installing Ubuntu onto
>> the Inspiron Hard drive.?
>> If yes make sure that the Ubuntu partition is "PRIMARY" NOT logical or it
>> will get stuck while booting with the ERROR in the post
>> Rule for GRUB....Install it on the Ubuntu partition...if U got a Windows OS
>> as well installed....make the Windows Bootloader in the Windows partition to
>> give you the Linux boot option when the computer first boots up...that way U
>> can get to GRUB boot options and then get Ubuntu to boot up from your
>> computer's Hard Drive...Good Luck!
>>
>> Regards
>> Sangos
>>
>> On 7/12/07, tfria <email address hidden> wrote:
>>
>>
>>> i am pulling my hair out!!! Why can't ubuntu fix this "can't access tty"
>>> bug; the live cd works beautifully on my "Dell Inspiron; too the same CD
>>> home to my PC and cant boot. There must be a fix.
>>>
>>> Help!
>>>
>>> --
>>> boot - /bin/sh: can't access tty; job control turned off
>>> https://bugs.launchpad.net/bugs/96084
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>>
>>>
>>
>
>

Shang Wu (shangwu) wrote :

Use F6 to enter "Other Options" and add "all_generic_ide" at the end of the line.

Steve Jones (joness) wrote :

I was getting this problem. I changed my bios settings for my SATA disk to Compatabilty Mode and Ubuntu then booted without any problems.

hoagies (jaguariuna) wrote :

Further hereto, (to recap):

1. I do have 3 "older p-ata" systems, completely "incompatible", (and "unworkable") with all versions of (k)ubuntu 7.04, including Linux Mint "Cassandra", based on (k)ubuntu 7.04
2. Lindows/Linspire/Freespire has come out with "Freespire 2.0.0.0", also completely based on (k)ubuntu 7.04
3. This "Freespire 2.0.0.0 Live CD" takes a long time to "load"
4. However, it resolves "all issues" with my "older p-ata" systems

I do have an "inimical attitude" towards Lindows/Linspire/Freespire for being one of the distros "having gone to bed with M$"......... Notwithstanding "that", I must give them full credit for having resolved the "p-ata" problem..... More power to them..... The "power" (k)ubuntu 7.04 never had, or showed!!

George Miles (dicegeorge) wrote :

ive had this error message,
i googled,
it suggested its because i have an AMD chip
and the standard ubuntu cd works on Intel chips
so i'm downloading a AMD version from:

http://www.ubuntu.com/

Download URL: http://releases.ubuntu.com/feisty/ubuntu-7.04-desktop-amd64.iso
Ubuntu Edition: Ubuntu 7.04 desktop
Computer Platform: amd64
Download Location: http://releases.ubuntu.com/

[[dicegeorge]]

1 comments hidden view all 124 comments
eekay (info-eekay) wrote :

My girlfriends little sister needed a laptop for internet office and some other small things. I've been watching Ubuntu for some time and i downloaded it an hour ago.
I came across this problem as well.

I have a P3-800 old laptop that has been doing service for some time.

I found my solution when i added the option (via F6 in bootup menu) all_generic_ide;
this resulted in an error and the message "try the option irqpoll"

Instead of adding "all_generic_ide" i added "irqpoll" and the little creature started living suddenly...

hoping this will help others.

Changed in initramfs-tools:
status: Incomplete → Invalid
Carlos Eton (ceton) wrote :

Regarding /bin/sh: Can’t access tty; job control turned off

Apparently, there are a bizillion reasons that this error occurs, but in my case, it was because the Ubuntu Live CD couldn't recognize some of the hardware on the machine I was installing to. (I was able to install it successfully on other machines--it was just one troublesome machine).

Here is what worked for me:

   1. When the bootup screen appears, press F6
   2. Type the following: acpi=off irqpoll
   3. Press the Enter key.
   4. View the Live CD and install Ubuntu.

You have to make sure that this problem is resolved when Ubuntu boots, too. To do that:

   1. Boot your computer so that GRUB is displayed.
   2. Press the "e" key to go into edit mode.
   3. Press "o" to add a new line to the script.
   4. Type the following: acpi=off irqpoll
   5. Press the Escape key.

In the event that acpi=off doesn't work try replacing the entry above with one of the following:

    * acpi=force irqpoll
    * nacpitimer irqpoll

You may have to revisit the second set of steps when you upgrade ubuntu.

I hope this helps.

Dvord Direwood (dvord) wrote :

I had the same problem installing Ubuntu 7.10.

Adding irqpoll to the startup in GRUB as recommended above does allow me to proceed to install and use Ubuntu 7.10

Mark Duncan (eattheapple) wrote :

Adding irqpoll to the Live CD boot options also worked for me. After the install, I had to add it to the grub options as well.

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Thank you for the follow up information, however, you may remove my address
from the bug subscriber list. I have installed Ubuntu 8.04 and am able to
boot from Ubuntu or Windows at my option. The system has worked worked
flawlessly for several months.
Thanks again.

Larry Wolfe

----- Original Message -----
From: "Leann Ogasawara" <email address hidden>
To: <email address hidden>
Sent: Thursday, August 28, 2008 20:50
Subject: [Bug 96084] Re: boot - /bin/sh: can't access tty; job control
turned off

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-
image-2.6.27-* package is currently available for you to install and
test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the
bug reported here or if the issue remains. More importantly, please
open a new bug report for each new bug/regression introduced by the
2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please
specifically note if the issue does or does not appear in the 2.6.26
kernel. Thanks again, we really appreicate your help and feedback.

** Tags added: cft-2.6.27

--
boot - /bin/sh: can't access tty; job control turned off
https://bugs.launchpad.net/bugs/96084
You received this bug notification because you are a direct subscriber
of the bug.

---
avast! Antivirus: Outbound message clean.
Virus Database (VPS): 080828-0, 08/28/2008
Tested on: 8/29/2008 7:50:47 AM
avast! - copyright (c) 1988-2008 ALWIL Software.
http://www.avast.com

Michele Mangili (mangilimic) wrote :

This bug report is being closed due to your last comment regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status . Thank you again for taking the time to report this bug and helping to make Ubuntu better. Feel free to submit any future bugs you may find.

Changed in linux:
status: Incomplete → Invalid

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Tom

Tom Fria
Clinical Audiologist at Department of Veterans Affairs
Greater New York City Area

Confirm that you know Tom Fria:
https://www.linkedin.com/e/-4rawsv-hnx94qf3-j/isd/17989283458/5IfIT8D5/?hs=false&tok=2BlHcU02Ol2m01

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-4rawsv-hnx94qf3-j/XjVg-eC45zKbR9uMZsau8R2_Rb04UJr23GnVDE/goo/96084%40bugs%2Elaunchpad%2Enet/20061/I5918931975_1/?hs=false&tok=2_au__vJKl2m01

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

Displaying first 40 and last 40 comments. View all 124 comments or add a comment.